List Whats App Templates
List WhatsApp message templates for the current organization with pagination, search, and status filtering.
List WhatsApp message templates for the current organization with pagination, search, and status filtering.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
page?integer
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
20search?string
status?string
Value in
- "draft"
- "pending"
- "approved"
- "rejected"
Response Body
application/json
curl -X GET "https://example.com/whatsapp-templates"{ "data": [ { "id": "string", "organizationId": "string", "name": "string", "displayName": "string", "description": "string", "language": "string", "category": "string", "contentType": "string", "body": "string", "variables": { "property1": "string", "property2": "string" }, "status": "string", "contentSid": "string", "rejectionReason": "string", "lastSyncedAt": "string", "lastSyncError": "string", "usageCount": 0, "successfulSendCount": 0, "providerScope": "unbound", "accountState": "unbound", "providerOperation": { "id": "string", "phase": "ready_create", "state": "pending" }, "compatibleEvents": [ "order_received_lab" ], "selectedEvents": [ "order_received_lab" ], "createdBy": "string", "createdAt": "string", "updatedAt": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}Empty
Empty
List Whats App Template Event Overrides GET
List the lab's automatic WhatsApp event template selections and effective platform fallbacks.
Register Whats App Template POST
Register a draft WhatsApp template with Twilio for WhatsApp approval. Creates the content in Twilio, submits for approval, and updates the template status to pending. Lab-only operation.